--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: code
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: message
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: messages
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Result of the Card Verification Value check http://www.bbbonline.org/eExport/doc/MerchantGuide_cvv2.pdf Check additional codes from cybersource website
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MESSAGES
  value: "{         'D'  =>  'Suspicious transaction',         'I'  =>  'Failed data validation check',         'M'  =>  'Match',         'N'  =>  'No Match',         'P'  =>  'Not Processed',         'S'  =>  'Should have been present',         'U'  =>  'Issuer unable to process request',         'X'  =>  'Card does not support verification'"
full_name: ActiveMerchant::Billing::CVVResult
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_hash
name: CVVResult
superclass: Object
